LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   ethtool outdated? (http://www.linuxquestions.org/questions/slackware-14/ethtool-outdated-4175439629/)

thjvdb 12-01-2012 05:14 PM

ethtool outdated?
 
Hi@all,

does anyone know, why ethtool is so outdated? ... i think it should correspond with the kernel version ... but in slackware64-14.0 its version is 2.6.36 ... which is quit old ... is there a reason or is it a failure?

cheers
thorsten

onebuck 12-01-2012 07:12 PM

Member Response
 
Hi,
Quote:

Originally Posted by thjvdb (Post 4840916)
Hi@all,

does anyone know, why ethtool is so outdated? ... i think it should correspond with the kernel version ... but in slackware64-14.0 its version is 2.6.36 ... which is quit old ... is there a reason or is it a failure?

cheers
thorsten

Why do you think that? Slackware64 14.0 does have '/var//log/packages/ethtool-2.6.36-x86_64-1' for 'Sep 24 13:48'.

Looking at 'ethtool-3.6/NEWS';
Quote:

Version 3.6 - October 5, 2012

* Feature: Allow setting MDI-X state (-s option)
* Fix: Preserve pause advertising bits when setting speed and
duplex with autoneg on (-s option)
* Fix: Don't call ioctl to set EEE parameters if they are the same
as the current parameters (--set-eee option)
Problems with 'ethtool'? If so what?
Maybe you should look at: http://www.kernel.org/pub/software/network/ethtool/

Possibly contact the admin and ask why no updates since 2012-10-05. 'ethtool' works for me and I am not experiencing any issues for the utility.

beder 12-01-2012 07:16 PM

Quote:

Originally Posted by onebuck (Post 4840945)
Hi,


Why do you think that? Slackware64 14.0 does have '/var//log/packages/ethtool-2.6.36-x86_64-1' for 'Sep 24 13:48'.

Looking at 'ethtool-3.6/NEWS';Problems with 'ethtool'? If so what?
Maybe you should look at: http://www.kernel.org/pub/software/network/ethtool/

Possibly contact the admin and ask why no updates since 2012-10-05. 'ethtool' works for me and I am not experiencing any issues for the utility.


I think you might have got confused, because you quoted ethtool 3.6, but Slackware has ethtool 2.6.36, which is from 2010

onebuck 12-01-2012 07:29 PM

Member Response
 
Hi,

Your right, my bad. Transposition errors, looking at the screen to much. Thanks for showing me the error! :)

Still not a major issue with ethtool for me. Possibly PV just over looked. Not all packages get upgrades.


All times are GMT -5. The time now is 02:14 PM.